#include "icebloxxapp.h"
#include "icebloxxdoc.h"
#include "icebloxx.hrh"
#ifdef UIQ3
#include <eikstart.h>
CApaApplication* NewApplication();
// E32Main() contains the program's start up code, the entry point for an EXE.
GLDEF_C TInt E32Main() 
{
 	return EikStart::RunApplication(NewApplication);
}

#else
GLDEF_C  TInt E32Dll(TDllReason)
{
	return KErrNone;
}
EXPORT_C
#endif
CApaApplication* NewApplication()
{
        // Return pointer to newly created CQMApp
        return (new CIceBloxxApp);
}

CIceBloxxApp::CIceBloxxApp()
{
}

CIceBloxxApp::~CIceBloxxApp()
{
}

/**
*   Responsible for creating the applications main document class
* @return Pointer to document of CApaDocuement type
**/
CApaDocument* CIceBloxxApp::CreateDocumentL()
{
	return new(ELeave)CIceBloxxDoc(*this);
}

/**
 *   Responsible for returning the unique UID of this application
 * @return unique UID for this application in a TUid
 **/
TUid CIceBloxxApp::AppDllUid() const
{
	return TUid::Uid(KICEBLOXUID);
}
